summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2022-05-31 10:47:30 +0200
committerMichał Górny <mgorny@gentoo.org>2022-06-07 08:53:47 +0200
commit73842715ee7c1f5b193f2a2d78c1fc3caa69b0dd (patch)
tree7950860f175101d079db595158613ea42de7db64
parentdistutils-r1.eclass: Remove the obsolete pypy/share check (diff)
downloadgentoo-73842715.tar.gz
gentoo-73842715.tar.bz2
gentoo-73842715.zip
distutils-r1.eclass: Make *-nspkg.pth warning fatal for EAPI 9+
Now that we've essentially removed non-implicit namespace packages from Gentoo and setuptools upstream has deprecated their old solution, it's time to make this check fatal. Unfortunately, I did not think of it when adding PEP517 mode, so let's do that in EAPI 9. Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--eclass/distutils-r1.eclass4
1 files changed, 4 insertions, 0 deletions
diff --git a/eclass/distutils-r1.eclass b/eclass/distutils-r1.eclass
index b0318410b100..1d7bea6d8cab 100644
--- a/eclass/distutils-r1.eclass
+++ b/eclass/distutils-r1.eclass
@@ -1865,6 +1865,10 @@ _distutils-r1_check_namespace_pth() {
ewarn "the ebuild accordingly:"
ewarn
ewarn " https://projects.gentoo.org/python/guide/concept.html#namespace-packages"
+
+ if ! has "${EAPI}" 6 7 8; then
+ die "*-nspkg.pth files are banned in EAPI ${EAPI}"
+ fi
fi
}